
import java.awt.*;

public class PortalPanel extends Panel
{
   private Port _port = null;

   private String _strLeft = " Left ";
   private String _strRight = " Right ";
   private String _strUp = " Up ";
   private String _strDown = " Down ";

   public PortalPanel(Port port)
   {
      _port = port;

      setLayout(new BorderLayout());

      add("Center", port);

      Panel p = new Panel();

      p.add(new Button(_strLeft));
      p.add(new Button(_strRight));
      p.add(new Button(_strUp));
      p.add(new Button(_strDown));

      add("South", p);
   }

   public boolean action(Event e, Object o)
   {
      if (o.equals(_strLeft)) _port.rotateLeft(5);
      else if (o.equals(_strRight)) _port.rotateRight(5);
      else if (o.equals(_strUp)) _port.rotateUp(5);
      else if (o.equals(_strDown)) _port.rotateDown(5);

      return true;
   }
}
