
import java.util.*;

/**
 * A piece of scenery.
 */

public abstract class Scenery
{
   /**
    * Keep simple portals happy.
    * A piece of scenery must be able to present itself as a
    * list of line segments in order to satisfy simple portals.
    */

   public abstract Enumeration elements();

   /**
    * Apply the supplied transformation.
    */

   public abstract void transform(Transformation tr);

   /**
    * Return any hints.
    */

   public Hashtable hints()
   {
      return null;
   }
}
