
public class TriangleShapeQuickSort extends QuickSort
{
   protected boolean lessThan(Object o1, Object o2)
   {
      TriangleShape ts1 = (TriangleShape)o1;
      TriangleShape ts2 = (TriangleShape)o2;

      double z1 = (ts1.a.z + ts1.b.z + ts1.c.z) / 3.0;
      double z2 = (ts2.a.z + ts2.b.z + ts2.c.z) / 3.0;

      return z1 < z2;
   }
}
