
import java.util.*;

/**
 * A translation.
 */

public class Translation extends Transformation
{
   private double _x;
   private double _y;
   private double _z;

   public Translation(double x, double y, double z)
   {
      _x = x;
      _y = y;
      _z = z;
   }

   public void transform(Coordinates coords)
   {
      if (coords == null) return;

      coords.x += _x;
      coords.y += _y;
      coords.z += _z;
   }
}
